SystemOrganization addCategory: #'Pier-Google'!

PRWidget subclass: #PRGoogleAnalyticsWidget
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Pier-Google'!

!PRGoogleAnalyticsWidget class methodsFor: 'accessing-description' stamp: 'lr 11/14/2007 19:49'!
descriptionGoogleUACCT
	^ MAStringDescription new
		comment: 'The string Google Analytics provided you with (e.g. UA-XXXXXXX-Y)';
		selectorAccessor: #uacct;
		label: 'uacct';
		priority: 200;
		beSetting;
		yourself! !

!PRGoogleAnalyticsWidget class methodsFor: 'testing' stamp: 'lr 11/14/2007 19:49'!
isAbstract
	^ false! !

!PRGoogleAnalyticsWidget class methodsFor: 'accessing-description' stamp: 'tg 11/14/2007 13:01'!
label
	^ 'Google Analytics'! !

!PRGoogleAnalyticsWidget methodsFor: 'rendering' stamp: 'lr 11/14/2007 20:00'!
renderContentOn: html
	self uacct isEmptyOrNil ifTrue: [ ^ self ].
	html script url: 'http://www.google-analytics.com/urchin.js'; with: ''.
	html script with: '_uacct = "' , self uacct , '";urchinTracker();'! !

!PRGoogleAnalyticsWidget methodsFor: 'accessing' stamp: 'tg 11/14/2007 13:12'!
uacct
	^ self read: #descriptionGoogleUACCT! !
